document_id stringlengths 8 12 | document stringlengths 50 3.21k | split stringclasses 1
value |
|---|---|---|
d_bash_7800 | ---
+++
@@ -3,11 +3,4 @@
# This script installs the gearbox rpms. The PKG_VERSION and PKG_RELEASE environment
# variables need to be set appropriately.
-LIST_RPM=("core" "perl-lib" "daemons" "test-workers-config" "job-devel" "job" "worker" \
- "status-plugin-sql" "svc-builder" "daemons-config" "test-work... | bash |
d_bash_7801 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/bash
set -e
-NODE_VERSION=0.10.36
+NODE_VERSION=0.10.40
NODE_ARCH=x64
# check we need to do this or not | bash |
d_bash_7802 | ---
+++
@@ -3,6 +3,7 @@
set -eux
set -o pipefail
+sudo apt-get update
sudo apt-get install -y python3 python3-dev python3-pip swig portaudio19-dev libpulse-dev pocketsphinx-en-us
sudo pip3 install tox
| bash |
d_bash_7803 | ---
+++
@@ -1,9 +1,11 @@
+fpm_args+=(--iteration 5)
+
case "$TARGET" in
debian* | ubuntu*)
- fpm_depends+=('postgresql' 'libpq-dev' 'nginx | apache2')
+ fpm_depends+=('libpq-dev' 'nginx | apache2')
;;
centos*)
- fpm_depends+=('postgresql-server' 'postgresql-devel')
+ fp... | bash |
d_bash_7804 | ---
+++
@@ -15,13 +15,24 @@
[ -f $stderr ]; [ ! -s $stderr ]
assert_exists() { [ $($XPATH $result 'count('$2')') == "$1" ]; }
-assert_exists 3 '//variable/value[text()="100"]'
+test_variable() {
+ assert_exists 3 '/oval_variables/variables/variable'
+ assert_exists 3 '//variable'
+ assert_exists 3 '//variable/*'
... | bash |
d_bash_7805 | ---
+++
@@ -31,3 +31,6 @@
alias pg-stop='pg_ctl -D /usr/local/var/postgres stop -s -m fast'
alias bower='noglob bower'
+
+alias pbcopy='reattach-to-user-namespace pbcopy'
+alias pbpaste='reattach-to-user-namespace pbpaste' | bash |
d_bash_7806 | ---
+++
@@ -2,7 +2,7 @@
sudo apt-get update -qq
sudo apt-get install -qq libssh2-1-dev libssh2-php
-pecl install -f mongo
+echo "extension = mongo.so" >> ~/.phpenv/versions/$(phpenv version-name)/etc/php.ini
touch .interactive
(pecl install -f ssh2 < .interactive)
| bash |
d_bash_7807 | ---
+++
@@ -19,11 +19,11 @@
}
function run-tests {
+ export JBOSS_HOME="${AS_DIR}/wildfly-$1"
+
install-wildfly $1
cd integration-tests
-
- export JBOSS_HOME="${AS_DIR}/wildfly-$1"
mark "Starting integs with $1"
lein with-profile +integs all | bash |
d_bash_7808 | ---
+++
@@ -1,7 +1,21 @@
# Automatically source a swarm from ${SWARM_ROOT} and then "dvm use" to sync docker client versions.
function swarmme() {
local SWARMNAME=${1}
- local L_SWARM_ROOT=${SWARM_ROOT:-${HOME}/swarm}
+ local ACCOUNTNAME=${CARINA_USERNAME:-}
+
+ if [ -z "${ACCOUNTNAME}" ]; then
+ local ACC... | bash |
d_bash_7809 | ---
+++
@@ -21,7 +21,8 @@
# Error out if $GH_TOKEN is empty or unset
: ${GH_TOKEN:?"GH_TOKEN need to be uploaded via travis-encrypt"}
-git clone --quiet --branch=gh-pages https://${GH_TOKEN}@github.com/${TRAVIS_REPO_SLUG} $DOCDIR > /dev/null
+git clone --quiet https://${GH_TOKEN}@github.com/${TRAVIS_REPO_SLUG} $D... | bash |
d_bash_7810 | ---
+++
@@ -28,6 +28,7 @@
if [ "$branch" == "master" ]; then
image_tag = "latest"
fi
+# TODO: Create tags based on branch name and/or date.
docker build -t mozilla/balrog:${image_tag} .
docker login -e $dockerhub_email -u $dockerhub_username -p $dockerhub_password
docker push mozilla/balrog:${image_tag} | bash |
d_bash_7811 | ---
+++
@@ -14,9 +14,9 @@
#echo "configure export plugin for ZSH"
function install_hook {
emulate -LR zsh
- typeset -ag chpwd_functions
- if [[ -z $chpwd_functions[(r)_jenv_export_hook] ]]; then
- chpwd_functions+=_jenv_export_hook;
+ typeset -ag precmd_functions
+ if [[ -z $precmd_functions[(r)_jenv_... | bash |
d_bash_7812 | ---
+++
@@ -5,5 +5,5 @@
qtbase5-dev-tools qtchooser qtdeclarative5-dev xbitmaps \
xterm libqt5svg5-dev qttools5-dev qtscript5-dev \
qtdeclarative5-folderlistmodel-plugin qtdeclarative5-controls-plugin \
- qt5-default qtcreator -y-y
+ qt5-default qtcreator -y
| bash |
d_bash_7813 | ---
+++
@@ -4,6 +4,7 @@
# testsuite. Should be run from the same dir where bindings-mpi.cabal
# is located and after "cabal install" or "cabal build" has been run
+rm -f *.tix
mpirun -np 2 bindings-mpi-testsuite 2>receiver.log | tee sender.log
hpc combine --output=bindings-mpi-testsuite.tix rank0.tix rank1.tix
... | bash |
d_bash_7814 | ---
+++
@@ -1,5 +1,4 @@
#!/bin/sh
-set -x
# Construct PFX file for new cert if needed
if [ "$PFX_EXPORT" = "true" ]; then
@@ -12,6 +11,6 @@
fi
# Synchronize mode and user/group for new certificate files
-find $RENEWED_LINEAGE ${RENEWED_LINEAGE/live/archive} -type d -exec chmod "$CERTS_DIRS_MODE" {} +
-find $... | bash |
d_bash_7815 | ---
+++
@@ -3,8 +3,8 @@
mkdir -p build
module purge
-source /project/c01/install/kesch/dycore/release_double/modules_cpp.env
module load CMake
+source modules_kesch.env
module list -t
echo
@@ -13,7 +13,6 @@
export BOOST_ROOT="/apps/escha/UES/RH6.7/easybuild/software/Boost/1.49.0-gmvolf-15.11-Python-2.7.10"
... | bash |
d_bash_7816 | ---
+++
@@ -19,6 +19,8 @@
if command -v pip3 1>/dev/null; then
exec "pip3" "install" "-r" "$BASEDIR/preconditions/requirements.txt"
+ else
+ echo "Unable to install project-factory requirements: pip3 executable not in PATH" 1>&2
fi
SCRIPT="$BASEDIR/preconditions/preconditions.py" | bash |
d_bash_7817 | ---
+++
@@ -1,25 +1,27 @@
#!/bin/sh
+
+source /etc/profile.d/dev-up.sh
if [ ! -f /usr/bin/ionic ]; then
echo '#!/bin/sh' > /usr/bin/ionic
- echo 'docker run --rm -ti --privileged \
+ echo "docker run --rm -ti --privileged \
-v /dev/bus/usb:/dev/bus/usb \
- -v=/vagrant/project:/project:rw \
+ -v=$P... | bash |
d_bash_7818 | ---
+++
@@ -2,8 +2,8 @@
version=$1
platform=$2
blobname=$(basename $(ls ../golang-${version}/*${platform}*))
- if ! bash -c "bosh blobs | grep -q ${blobname}"; then
- existing_blob=$(bosh blobs | awk '{print $1}' | grep "go${version}.*${platform}")
+ if ! bosh blobs | grep -q ${blobname}; then
+ exis... | bash |
d_bash_7819 | ---
+++
@@ -1,7 +1,20 @@
#!/bin/bash
+#
+# Dummy fence_ack_manual which uses the fenced manual override
+# socket to communicate.
+#
+
+if [ "$1" = "-n" ]; then
+ shift
+fi
if [ -z "$1" ]; then
- echo "usage: $0 <nodename>"
+ echo "usage:"
+ echo " $0 <nodename>"
+ echo " $0 -n <nodename>"
+ echo ... | bash |
d_bash_7820 | ---
+++
@@ -7,12 +7,14 @@
# .travis.yml in the `before_install`, we exit non-zero if we want the build to
# be skipped, so we can do `|| exit 0` in the YAML.
-# Don't do anything if $AFFECTED_DIRS is not set
-if [ -z "$AFFECTED_DIRS" ]; then
+if [ -n "$STEAM_ROLLER" ]; then
+ echo 'STEAM_ROLLER is set. Not exiti... | bash |
d_bash_7821 | ---
+++
@@ -6,7 +6,8 @@
# https://github.com/learnyou/lysa/blob/master/en/README.md
# This will be the name of this nightly build
-FNOM=`date -u +"lysa-%Y-%m-%d.pdf"`
+FNOM_EBOOK=`date -u +"lysa-%Y-%m-%d-ebook.pdf"`
+FNOM_PRINT=`date -u +"lysa-%Y-%m-%d-print.pdf"`
# The directory from which the nighlies are se... | bash |
d_bash_7822 | ---
+++
@@ -31,7 +31,7 @@
grunt package) || exit 1
mkdir -p $TARGET &&
-find $SRC/_dist -type d -depth 1 -exec cp -r {} $TARGET \; &&
+find $SRC/_dist -depth 1 -type d -exec cp -r {} $TARGET \; &&
# Remove all the version numbers
find $TARGET -maxdepth 1 -depth 1 -name "*-$1*" -exec bash -c "mv \$0 \${0/-$1/}" ... | bash |
d_bash_7823 | ---
+++
@@ -1,7 +1,7 @@
#!/usr/bin/env bash
cd /var/lib/jenkins/workspace/note-my-strength-api
-npm stop
+sudo npm stop
export JENKINS_MODE=true
npm install
npm start | bash |
d_bash_7824 | ---
+++
@@ -14,7 +14,11 @@
fi
if ! container_exists firefox ; then
- exec docker run --name firefox --volumes-from storage --env DISPLAY=${DISPLAY} --volume /tmp/.X11-unix:/tmp/.X11-unix --env PULSE_SERVER=unix:/tmp/pulse-unix --volume /run/user/${UID}/pulse/native:/tmp/pulse-unix devurandom/firefox
+ declare -a ... | bash |
d_bash_7825 | ---
+++
@@ -1,7 +1,7 @@
#!/usr/bin/bash
echo "install System..."
-pacman -Sy --needed base base-devel dialog zsh gvim \
+pacman -Sy --needed base base-devel dialog acpid zsh gvim \
perl-rename tree htop hwinfo acpi alsa-utils \
xorg-server xorg-xinit xorg-server-utils mesa \
nvidia nvidia-utils nvidia-libgl \ | bash |
d_bash_7826 | ---
+++
@@ -1,6 +1,51 @@
-#!/bin/sh
+#!/bin/bash
-mysql -h$GALLERY__MYSQL__HOST -p$GALLERY__MYSQL__PORT -u$GALLERY__MYSQL__USERNAME -p"$GALLERY__MYSQL__PASSWORD" -e "CREATE DATABASE IF NOT EXISTS $GALLERY__MYSQL__DATABASE"
+# Wait until mysql is up and available, retrying 10 times with a 5 second wait
+MAX_TRIES=10... | bash |
d_bash_7827 | ---
+++
@@ -1,13 +1,17 @@
-autoload -U compinit promptinit
+# Completion
+autoload -U compinit
compinit
-promptinit
-
-#
zstyle ':completion:*' menu select
setopt complete_aliases
-#
-prompt adam2
+# Prompt theme
+autoload -U promptinit
+promptinit
+if [ -n "$SSH_CLIENT" ]; then
+ prompt adam2 cyan green yell... | bash |
d_bash_7828 | ---
+++
@@ -12,7 +12,12 @@
# use curl to post results (requires external variables to be set)
for f in $1*.json
- # use some options to curl to make sure we notice when error is returned
- do curl --show-error --fail -XPOST -u $2:$3 -H "Content-Type: application/json" -d @$f $4
+ # we need to make sure that th... | bash |
d_bash_7829 | ---
+++
@@ -16,7 +16,6 @@
# along with OpenQuake. If not, see <http://www.gnu.org/licenses/>
set -e
-set -x
checkcmd() {
command -v $1 >/dev/null 2>&1 || { echo >&2 "This script requires '$1' but it isn't available. Aborting."; exit 1; } | bash |
d_bash_7830 | ---
+++
@@ -6,7 +6,7 @@
CLEANED_BRANCH_NAME=$(echo $CIRCLE_BRANCH | sed 's/^feature[-/]//' | sed 's:^\w*\/::' | tr -s ' _/[]().' '-' | tr '[:upper:]' '[:lower:]' | cut -c1-28 | sed 's/-$//')
RELEASE_NAME=${CLEANED_BRANCH_NAME}
-RELEASE_HOST="$RELEASE_NAME.$STAGING_HOST"
+RELEASE_HOST="$RELEASE_NAME-$STAGING_HOST"... | bash |
d_bash_7831 | ---
+++
@@ -15,4 +15,4 @@
scp -r ${IP}:ml-demo/${DIR}/* ${DIR}_${NAME}
done
-python eval.py output_$NAME
+python eval.py --equal-precision-recall output_$NAME | bash |
d_bash_7832 | ---
+++
@@ -16,3 +16,5 @@
grep -rl AppTemplate $1 | xargs sed -i "s/AppTemplate/$1/g" &&
mv $1/src/AppTemplate.cpp $1/src/$1.cpp
+
+sudo rm -r $1/.git | bash |
d_bash_7833 | ---
+++
@@ -6,7 +6,7 @@
folder=${2:-$DEFAULT_FOLDER}
PRODUCTION_APPLETS=('bam2tagalign' 'encode_map' 'filter_qc' 'xcor' 'xcor_only' 'spp' 'pool' 'pseudoreplicator' 'encode_spp' 'encode_macs2' 'macs2' 'idr2' 'encode_idr' 'overlap_peaks')
-ACCESSORY_APPLETS=('input_shield' 'accession_analysis' 'shell')
+ACCESSORY_A... | bash |
d_bash_7834 | ---
+++
@@ -1,4 +1,3 @@
alias reload!=". ~/.zshrc"
-alias ls='ls --color=tty'
alias gitx='open -a GitX'
alias dm='docker-machine' | bash |
d_bash_7835 | ---
+++
@@ -21,7 +21,7 @@
for f in ${FUNCS[@]}; do
image_name=$(echo $f | sed -e 's/_/-/g')
- image=gcr.io/kpt-functions/${image_name}:dev
+ image=gcr.io/kpt-functions/${image_name}:${TAG}
docker_file=/tmp/$image_name.Dockerfile
sed "s/\$FUNC/$f/g" build/func.Dockerfile > $docker_file
set... | bash |
d_bash_7836 | ---
+++
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
if [ "x$WILDFLY_HOME" = "x" ]; then
WILDFLY_HOME="/opt/wildfly" | bash |
d_bash_7837 | ---
+++
@@ -1,10 +1,5 @@
# Use `hub` as our git wrapper:
-# http://defunkt.github.com/hub/
-hub_path=$(which hub)
-if (( $+commands[hub] ))
-then
- alias git=$hub_path
-fi
+eval "$(hub alias -s)"
# hub aliases
alias gpr='git pull-request' | bash |
d_bash_7838 | ---
+++
@@ -6,7 +6,6 @@
echo "Getting test results from the ${PROJECT} Openshift environment"
function getResults() {
- oc project ${PROJECT} >/dev/null
oc rsync $(oc get pods | grep robot-framework | awk '{ print $1 }'):/robot-tests/target/ robot-tests/target/
}
| bash |
d_bash_7839 | ---
+++
@@ -1,5 +1,6 @@
echo "Running Production Site"
sudo chmod 755 ./
+. ~/.nvm/nvm.sh
nvm use
yarn
./build.js -run --settings settings.json | bash |
d_bash_7840 | ---
+++
@@ -11,6 +11,7 @@
pkg_deps=(core/postgresql core/glibc core/gcc-libs core/zlib core/gmp)
do_build() {
+ # skip build phase because we're downloading a pre-built binary release
return 0
}
@@ -19,3 +20,8 @@
cp -av $HAB_CACHE_SRC_PATH/postgrest ${pkg_prefix}/bin/
patchelf --interpreter "$(pkg_pa... | bash |
d_bash_7841 | ---
+++
@@ -1,4 +1,4 @@
-nerdctl run -d -v /usr/share/ca-certificates/:$(PWD)/ssl -p 4001:4001 -p 2380:2380 -p 2379:2379 \
+docker run -d -v /usr/share/ca-certificates/:$(PWD)/ssl -p 4001:4001 -p 2380:2380 -p 2379:2379 \
--name etcd quay.io/coreos/etcd:v2.3.8 \
-name etcd0 \
-advertise-client-urls http://${Host... | bash |
d_bash_7842 | ---
+++
@@ -1,2 +1,2 @@
-mkdir $VM_PATH/Resources/Scamper/fonts
+mkdir -p -v $VM_PATH/Resources/Scamper/fonts
cp -R -v $PROJECT_HOME/build-support/fonts $VM_PATH/Resources/Scamper/fonts | bash |
d_bash_7843 | ---
+++
@@ -1,6 +1,4 @@
python setup.py sdist
python setup.py bdist_wheel --python-tag py26
-python setup.py bdist_wheel --python-tag py27
-python setup.py bdist_wheel --python-tag py32
-python setup.py bdist_wheel --python-tag py33
+python setup.py bdist_wheel --python-tag py27.py32.py33
python setup.py bdist_whe... | bash |
d_bash_7844 | ---
+++
@@ -1,4 +1,4 @@
-#! /usr/bin/env sh
+#! /usr/bin/env bash
# Usage: ./ci-build.sh VERSION
# | bash |
d_bash_7845 | ---
+++
@@ -1,4 +1,12 @@
#!/bin/sh
+
+# Check if this script is running on the main, non-forked repository.
+# Environment variables are not set in forked repository builds;
+# skip Firebase Test Lab steps in this case.
+if [ -z "$IS_MAIN_PLAID_REPO" ]; then
+ echo "Running build on a forked repository - skipping F... | bash |
d_bash_7846 | ---
+++
@@ -10,4 +10,4 @@
# cd $cwd
git clone https://github.com/rsmmr/install-clang
-( cd install-clang && ./install-clang -a libcxxabi -j `nproc` /opt/llvm )
+( cd install-clang && sudo ./install-clang -a libcxxabi -j `nproc` /opt/llvm ) | bash |
d_bash_7847 | ---
+++
@@ -2,17 +2,17 @@
DIR=$(readlink -f $(dirname "$0")/..)
-if [ "$DIR" == "" ]; then
+if [ "$DIR" = "" ]; then
echo "DIR MUST NOT BE EMPTY. I WONT TRY TO REMOVE /TMP"
exit 2
fi
-if [ "$1" == "start" ]; then
+if [ "$1" = "start" ]; then
if [ ! -d "$DIR/tmp/mongodb" ]; then
mkdir "... | bash |
d_bash_7848 | ---
+++
@@ -13,9 +13,13 @@
set -exo pipefail
-for x in babl gegl gimp;do
+for x in babl gegl gimp libmypaint;do
if [ ! -d /export/"${x}".git ]; then
- git clone --mirror git://git.gnome.org/"${x}" /export/"${x}".git
+ if [ "$x" = 'libmypaint' ]; then
+ git clone --mirror https://git... | bash |
d_bash_7849 | ---
+++
@@ -1,6 +1,6 @@
. "$IMAGEDIR/config.sh"
-POINTVER=8.5
-RELEASE=http://mirror.centos.org/centos/8-stream/BaseOS/x86_64/os/Packages/centos-stream-release-${POINTVER}-3.el8.noarch.rpm
+POINTVER=8.6
+RELEASE=http://mirror.centos.org/centos/8-stream/BaseOS/x86_64/os/Packages/centos-stream-release-${POINTVER}-1.el... | bash |
d_bash_7850 | ---
+++
@@ -15,7 +15,7 @@
MISSING="${MISSING} ${expected}"
fi
done < $EXPECTED_XCCONFIG
-if [ $MISSING ]
+if [ "$MISSING" ]
then
echo "Missing configurations detected. : ${MISSING}"
exit 1 | bash |
d_bash_7851 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/bash
-docker run --rm -it -v "$PWD":/_ -w /_ golang:1.7 bash -c '
+docker run --rm -it -v "$PWD":/_ -w /_ golang:1.13 bash -c '
go get -d ./...
| bash |
d_bash_7852 | ---
+++
@@ -1,9 +1,18 @@
#!/bin/sh
-function xcode_major_version () {
- local XCODE_VERSION=`/usr/bin/xcodebuild -version | head -n 1 | awk '{ print $2 }'`
+# Returns the version # of xcodebuild
+# eg. (4.6.3, 5.0, 5.0.1)
+function xcode_version ()
+{
+ local XCODE_VERSION=`/usr/bin/xcodebuild -version | head ... | bash |
d_bash_7853 | ---
+++
@@ -8,7 +8,7 @@
if [ -n "$artifact_urls" ]; then
for URL in $(echo $artifact_urls | sed -e "s| |\n|g" | sort -u); do
- curl -o $TMP_DATA/file_data "$artifact_urls"
+ curl --globoff -o $TMP_DATA/file_data "$artifact_urls"
if file -b $TMP_DATA/file_data | grep RPM &>/dev/null; then
yum i... | bash |
d_bash_7854 | ---
+++
@@ -4,4 +4,3 @@
rm -f /etc/dpkg/dpkg.cfg.d/02apt-speedup
find /var/lib/apt/lists -mindepth 1 -delete -print
find /tmp /var/tmp -mindepth 2 -delete -print
-find . -delete -print | bash |
d_bash_7855 | ---
+++
@@ -3,7 +3,7 @@
set -e
# make sure we have gems installed
-bundle install
+bundle install --deployment
# make sure modules are installed.
bundle exec librarian-puppet install
@@ -12,4 +12,4 @@
bundle exec rake
# apply stuff
-sudo puppet apply --hiera_config=hiera.yaml --modulepath=modules:vendor/m... | bash |
d_bash_7856 | ---
+++
@@ -7,7 +7,7 @@
DEVICE_MARKER=$DEVICE_LINK.iscsi.uuid
# Hardcoded (for now) portal information.
-PORTAL_IP=134.158.75.2
+PORTAL_IP=134.158.75.2 # onehost-2.lal.in2p3.fr
PORTAL_PORT=3260
PORTAL="$PORTAL_IP:$PORTAL_PORT"
@@ -16,7 +16,7 @@
DISK_UUID=`echo $UUID_URL | cut -d : -f 2`
DISK="$DISK_PREFIX:... | bash |
d_bash_7857 | ---
+++
@@ -6,7 +6,7 @@
#-------------------------------------------------------------------------------
# Prime the environment first
-. $HOME/.dotfiles/cron/cron.env
+. ${HOME}/.dotfiles/cron/cron.env
# This can only be run by an admin user
if [ ! user_is_admin ]; then
@@ -14,7 +14,7 @@
fi
brew_path=`wh... | bash |
d_bash_7858 | ---
+++
@@ -1,12 +1,13 @@
# Clean remote file path
REMOTE_FILENAME=$1
REMOTE_PATH=$(pwd)/./${REMOTE_FILENAME}
-REMOTE_WINPATH=$(cygpath -w ${REMOTE_PATH})
+echo ${REMOTE_PATH}
+REMOTE_WINPATH=$(cygpath -d "${REMOTE_PATH}")
echo ${REMOTE_WINPATH}
# Clean local file path
LOCAL_PATH=$2
-LOCAL_WINPATH=$(cygpath -... | bash |
d_bash_7859 | ---
+++
@@ -21,8 +21,8 @@
function envSetup() {
apt-get install -y python-all debhelper fakeroot
+ pip install --upgrade python-keystoneclient==1.7.4
chkPPkg stdeb
- chkCrudini
}
# Function installs python-tackerclient from github
@@ -35,6 +35,8 @@
CLIENT=$(echo python-python-tackerclient_... | bash |
d_bash_7860 | ---
+++
@@ -26,5 +26,15 @@
$target/destroy.sh
fi
- rm -rf $target
+ # Retry 5 times to avoid ocational device busy
+ count=0
+ until `rm -rf $target` || [ $count -eq 4 ]; do
+ ((count++))
+ sleep 0.1
+ done
+ if [ $count -eq 4 ]
+ then
+ exit 1
+ fi
+
fi | bash |
d_bash_7861 | ---
+++
@@ -11,3 +11,6 @@
zstyle ':completion:*:*:*:*:*' menu select
zstyle ':completion:*:*:kill:*:processes' list-colors '=(#b) #([0-9]#) ([0-9a-z-]#)*=01;34=0=01'
zstyle ':completion:*:*:*:*:processes' command "ps -u $USER -o pid,user,comm -w -w"
+## Shift-tab to go in reverse
+zmodload zsh/complist
+bindkey -M... | bash |
d_bash_7862 | ---
+++
@@ -6,7 +6,7 @@
echo lisp-in-small-pieces-vm | sudo tee /etc/hostname > /dev/null
echo "==> Installing git gambit-c bigloo indent and time"
-sudo /usr/bin/pacman -S --noconfirm git mit-scheme gambit-c bigloo time
+sudo /usr/bin/pacman -S --noconfirm git mit-scheme gambit-c bigloo indent time
echo "==> ... | bash |
d_bash_7863 | ---
+++
@@ -18,6 +18,7 @@
alias services="brew services" # Easily maintain homebrew services
alias reload="source ~/.bash_profile" # Reload bash configuration
+alias vscode="code" # Custom alias for VS Code
alias finder="open -a Finder" # Open a directory in Finder
alias chr... | bash |
d_bash_7864 | ---
+++
@@ -11,4 +11,19 @@
sed -i -e "s/VERSION/$REL/g" ./templates/backend.yml > ./templates/backend-$REL.yml
sed -i -e "s/VERSION/$REL/g" ./templates/front.yml > ./templates/front-$REL.yml
-#oc login $api --token=$token
+# Log on to OpenShift
+oc login $api --token=$token
+
+oc new-project obsidian-alpha1
+
+# ... | bash |
d_bash_7865 | ---
+++
@@ -1,20 +1,26 @@
#! /bin/bash
+HTMLDROPDOWN_FILE="msa-dropdown.html"
if [ $# -ne 1 ]; then
echo "usage: $0 <xlsx-filename>"
exit 1
fi
# https://github.com/dilshod/xlsx2csv (this gracefully handles unicode nastiness, thankfully).
-pip install xlsx2csv
-xlsx2csv -d '|' $1 tmp-msa.csv
+TMPCS... | bash |
d_bash_7866 | ---
+++
@@ -1,3 +1,6 @@
#!/bin/bash
ln -s .bash_profile ~/.bash_profile
+
+
+git config --global alias.lg "log --color --graph --pretty=format:'%Cred%h%Creset -%C(yellow)%d%Creset %s %Cgreen(%cr) %C(bold blue)<%an>%Creset' --abbrev-commit" | bash |
d_bash_7867 | ---
+++
@@ -12,6 +12,7 @@
repo="$(_get_repo "$origin")"
pr_url="https://github.com/$repo/pull/new"
target="$1"
+ test -z "$target" && target=$(git for-each-ref --format='%(upstream:short)' "$(git symbolic-ref -q HEAD)" | cut -d '/' -f 2)
test -z "$target" && target="master"
if [ -z "$upstream" ]; then... | bash |
d_bash_7868 | ---
+++
@@ -23,7 +23,7 @@
# Since this is just an illustration, we will use the test ESAPI.properties in
# $esapi_resources_test. That way, it won't matter if the user has neglected
# to run the 'setMasterKey.sh' example before running this one.
-java -Dlog4j.configuration="$log4j_properties" \
+java -Dlog4j.confi... | bash |
d_bash_7869 | ---
+++
@@ -9,11 +9,21 @@
export PAGER="less"
export LESS="-R"
-export LC_CTYPE=$LANG
-
## super user alias
alias _='sudo'
alias please='sudo'
## more intelligent acking for ubuntu users
alias afind='ack-grep -il'
+
+## how to interpret text characters
+if [[ -z "$LC_CTYPE" && -z "$LC_ALL" ]]; then # only ... | bash |
d_bash_7870 | ---
+++
@@ -13,7 +13,7 @@
exit 1
fi
-pushd "$HOME/../code/lytedev/content/"
+pushd "$LYTEDEV_HUGO_DIR"
git pull
yarn
pushd "themes/lytedev" | bash |
d_bash_7871 | ---
+++
@@ -1,14 +1,17 @@
#!/bin/bash
-DOTFILES=$(pwd)
+DOTFILES="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
DOTFILES_OLD=$HOME/dotfiles_old
+DOTFILES_LIST=dotfiles.txt
+THIS_SCRIPT=$(basename $0)
-# Create a list of all files (excluding git files) in the current directory.
-find . * -type f | grep -v "... | bash |
d_bash_7872 | ---
+++
@@ -21,6 +21,7 @@
cd ~/builder/runs && ( ls | head -n -20 | xargs rm -rf )
cd $D
git clone -b $BRANCH git://g.csail.mit.edu/fscq-impl fscq
+echo "Building commit:" "`git show --no-patch --pretty=oneline $BRANCH`"
cd fscq/src
script $D/make-out.txt -c 'time make'
script $D/checkproofs-out.txt -c 'time ma... | bash |
d_bash_7873 | ---
+++
@@ -7,7 +7,10 @@
fi
hg_ps1() {
- hg prompt "{ on {branch}}{ at {bookmark}}{status}" 2> /dev/null
+ hg_ps1_string=$(hg prompt "{ on {branch}}{ at {bookmark}}{status}" 2>/dev/null)
+ if [ $? -eq 0 ]; then
+ echo "${hg_ps1_string}"
+ fi
}
if type __git_ps1 &>/dev/null; then | bash |
d_bash_7874 | ---
+++
@@ -1,5 +1,12 @@
#!/bin/bash
-OUTPUT=`gpi --nogui repo_contents/testNets/TestNetwork.net | grep "gpi.canvasGraph:384"`
+if [ "$(uname)" == "Darwin" ]; then
+ OUTPUT=`gpi --nogui repo_contents/testNets/TestNetwork.net | grep "gpi.canvasGraph:384"`
+fi
+
+if [ "$(uname)" == "Linux" ]; then
+ OUTPUT=`DISP... | bash |
d_bash_7875 | ---
+++
@@ -28,3 +28,6 @@
echo "---> User $(tput bold ; tput setaf 2)$USERNAME ($HASPASSWORD)$(tput sgr0)"
mysql -u$USERNAME $PASSWORD -e "DROP DATABASE IF EXISTS $DBNAME; CREATE DATABASE $DBNAME;"
+
+echo "---> Loading default schema"
+mysql -u$USERNAME $PASSWORD $DBNAME < db/sample.db.sql | bash |
d_bash_7876 | ---
+++
@@ -1,4 +1,4 @@
# General Android stuff
export ANDROID_HOME=$HOME/Code/sdks/android-sdk-macosx
export ANDROID_NDK_ROOT=$HOME/Code/sdks/android-ndk-r8d
-export PATH=$ANDROID_HOME/tools:$ANDROID_HOME/platform-tools:$ANDROID_NDK_ROOT:$PATH
+export PATH=$ANDROID_HOME/tools:$ANDROID_HOME/platform-tools:$ANDROID... | bash |
d_bash_7877 | ---
+++
@@ -3,8 +3,37 @@
set -o errexit
set -o nounset
-yaourt --needed --noconfirm -Sy \
- android-ndk \
- android-sdk \
- android-sdk-platform-tools
+install_aur=false
+usage='
+ Install dependencies and set up enviroment.
+ Usage:
+
+ # setup.sh [-a]
+
+ -a install AUR p... | bash |
d_bash_7878 | ---
+++
@@ -1,7 +1,7 @@
#!/bin/bash
# launch MongoDB but don't map any ports
-docker run --detach --hostname="mongodb" --name="mongodb" --memory="256m" kurron/mongodb:2.6.5
+docker run --detach --hostname="mongodb" --name="mongodb" --memory="512m" mongo:latest
# launch RabbitMQ but don't map any ports
docke... | bash |
d_bash_7879 | ---
+++
@@ -2,6 +2,11 @@
# Lint JavaScript files
./node_modules/.bin/jshint $(find ./lib ./tests ./misc -type f -name "*.js") --config jshint.json
+
+if [ $? -ne 0 ]; then
+ echo "Lint failed"
+ exit 1
+fi
# Check config files syntax
for file in tests/conf/*.json; do | bash |
d_bash_7880 | ---
+++
@@ -18,7 +18,7 @@
GOFMT="gofmt -s -w"
-bad_files=$(cat ${KUBE_ROOT}/hack/.packages | grep -v "^k8s.io/kops$" | sed -e s-^k8s.io/kops/-- | xargs -I {} $GOFMT -l {})
+bad_files=$(git ls-files "*.go" | grep -v vendor | xargs -I {} $GOFMT -l {})
if [[ -n "${bad_files}" ]]; then
echo "!!! '$GOFMT' needs t... | bash |
d_bash_7881 | ---
+++
@@ -15,7 +15,7 @@
#installing all the app-dependencies which are mentioned in package.json
cd /home/ec2-user/ddweerasiri-website
-npm install
+sudo npm install
if [ $? -eq 0 ]
then | bash |
d_bash_7882 | ---
+++
@@ -13,4 +13,4 @@
OSX_PATH=/usr/local/bin:/usr/bin:/bin:/usr/sbin:/sbin
# Prepend user bin dir to PATH
-export PATH=~/bin${PYTHON_PATH}:${PATH}
+export PATH=./bin:~/bin:${PATH} | bash |
d_bash_7883 | ---
+++
@@ -1,13 +1,18 @@
#!/bin/sh
-
-echo "Generating SOF flash file..."
-sof2flash --input="../dtb/dtb.sof" --output="dtb.flash" --epcs
-echo "Generating ELF flash file..."
-elf2flash --input="../software/dtb_expert/dtb_expert.elf" --output="dtb_expert.flash" --epcs --after="dtb.flash"
echo "Fetching SW version.... | bash |
d_bash_7884 | ---
+++
@@ -4,6 +4,8 @@
#
network=$1
+
+ILOS_IPS=`mktemp /tmp/findilos.XXXXX`
# Get a list of IPs with the 17988 TCP port opened (iLO Virtual Media port)
# nmap options:
@@ -13,12 +15,14 @@
# -p 17988: only scans port 17988.
# -oG -: output scan in grepable format
-./test/nmap -n -sS -PN -p 17988 -o... | bash |
d_bash_7885 | ---
+++
@@ -4,6 +4,11 @@
echo -n .
sleep 0.1
done
+
+if test -z "$ROOT_PASSWORD"
+ echo 'Warn: please set $ROOT_PASSWORD env like: -e ROOT_PASSWORD=foobar.' 1>&2
+ exit 127
+fi
if test ! -f /root/mysql-initialized
then | bash |
d_bash_7886 | ---
+++
@@ -1,2 +1,2 @@
#!/bin/bash
-cmake -DWORD=64 -DSEED=ZERO -DSHLIB=OFF -DSTBIN=ON -DTIMER=CYCLE -DWITH="MD;DV;BN;FP;EP;PP" -DCHECK=off -DVERBS=off -DARITH=x64-asm-254 -DFP_PRIME=254 -DFP_METHD="INTEG;INTEG;INTEG;MONTY;LOWER;SLIDE" -DCOMP="-O3 -funroll-loops -fomit-frame-pointer -finline-small-functions -march... | bash |
d_bash_7887 | ---
+++
@@ -22,5 +22,8 @@
export PGDATABASE=$DATABASE
cat<<EOF | psql
-SELECT ST_AsGeoJSON(ST_Transform(ST_Envelope("$COL"::geometry), 4326)) FROM "$TABLE";
+SELECT
+ST_AsGeoJSON(ST_Extent(ST_Transform(
+ ST_Envelope("$COL"::geometry),
+4326))) FROM "$TABLE";
EOF | bash |
d_bash_7888 | ---
+++
@@ -11,7 +11,7 @@
eval "$(ssh-agent -s)" #start the ssh agent
ssh-add .travis/id_rsa
- gulp cd:pushAndRun
+ gulp cd
elif [ $TRAVIS_BRANCH = "staging" ]; then
echo "Deploying to staging and testing"
| bash |
d_bash_7889 | ---
+++
@@ -21,9 +21,18 @@
wget https://anthos-migrate-release.storage.googleapis.com/${VERSION}/linux/amd64/m4a-fit-collect.sh
chmod +x m4a-fit-collect.sh
-wget https://anthos-migrate-release.storage.googleapis.com/${VERSION}/linux/amd64/m4a-fit-analysis
-chmod +x m4a-fit-analysis
+wget https://anthos-migrate-re... | bash |
d_bash_7890 | ---
+++
@@ -8,6 +8,14 @@
alias rezsh='for f in ${ZSH_CUSTOM}/*.zsh; do echo "Loading ${f}"; source ${f}; done'
lzsh() {
less ${ZSH_CUSTOM}/$1.zsh
+}
+gzsh() {
+ if type ag > /dev/null; then
+ ag $1 ${ZSH_CUSTOM}/*.zsh
+ else
+ echo "No silver searcher installed! Falling back..."
+ for f in ${ZSH_CUSTO... | bash |
d_bash_7891 | ---
+++
@@ -1,5 +1,5 @@
#!/bin/bash
set -e
-version="20.10.7"
+version="20.10.8"
echo "https://download.docker.com/linux/static/stable/x86_64/docker-$version.tgz"; | bash |
d_bash_7892 | ---
+++
@@ -1,7 +1,7 @@
#!/usr/bin/env bash
set -e
-printf "$(cat $1)\nPrintf.printf \"%%d\" (Int32.to_int (main ()))\n" > "$1.2.ml"
+printf "$(cat $1)\nPrintf.printf \"%%ld\" (main ())\n" > "$1.2.ml"
ocamlc -g "$1.2.ml" -o "$1.out"
rm "$1.2.ml"
chmod +x "$1.out" | bash |
d_bash_7893 | ---
+++
@@ -5,6 +5,12 @@
begin_test "init again"
(
set -e
+
+ tmphome="$(basename "$0" ".sh")"
+ mkdir -p $tmphome
+ cp $HOME/.gitconfig $tmphome/
+ HOME=$PWD/$tmphome
+ cd $HOME
[ "git-lfs smudge %f" = "$(git config filter.lfs.smudge)" ]
[ "git-lfs clean %f" = "$(git config filter.lfs.clean)" ]
@@ ... | bash |
d_bash_7894 | ---
+++
@@ -3,7 +3,8 @@
set -e
while true; do
- go run main.go -w -dev
+ time go install
+ mog -w -dev
if [ $? != 0 ] ; then
exit
fi | bash |
d_bash_7895 | ---
+++
@@ -13,7 +13,7 @@
exit 0
fi
-if [ "$TRAVIS_BRANCH" == 'master' ] && [ "$TRAVIS_PULL_REQUEST" = "false" ]; then
+if [ "$TRAVIS_BRANCH" != "master" ] || [ "$TRAVIS_PULL_REQUEST" != "false" ]; then
echo " ------ Publishing is DISABLED for the current branch."
exit 0
fi | bash |
d_bash_7896 | ---
+++
@@ -13,6 +13,9 @@
pacman -S --noconfirm yaourt pacaur micro-init runit >/dev/null
+useradd -M -b /tmp yaourt
+echo "yaourt ALL=(ALL) NOPASSWD: /usr/bin/pacman" >> /etc/sudoers.d/yaourt
+
mkdir -p /etc/initrc.d
cp -vr /build/initrc.d/* /etc/initrc.d/
cp -vr /build/config/* /etc | bash |
d_bash_7897 | ---
+++
@@ -5,6 +5,7 @@
DOCS_DIR=./Documentation
OLD_DIR=${DOCS_DIR}/cmdref
TMP_DIR=`mktemp -d`
+trap 'rm -rf $TMP_DIR' EXIT INT TERM
make CMDREFDIR=${TMP_DIR} -C ${DOCS_DIR} cmdref
| bash |
d_bash_7898 | ---
+++
@@ -22,6 +22,7 @@
chown -R vagrant:vagrant set
cd set
pip3 install -r requirements.txt
+cd -
pip3 install pipx
sudo --login -u vagrant pipx install mitmproxy
@@ -30,6 +31,8 @@
wget --quiet -O /tmp/evilginx2/evilginx2.zip \
https://github.com/kgretzky/evilginx2/releases/download/2.3.0/evilginx_lin... | bash |
d_bash_7899 | ---
+++
@@ -10,6 +10,6 @@
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
# Compile cl_deps.exe using 32-bit compiler if needed
-[ -f .objs/cl_deps.exe ] || ${0%-64.sh}-32.sh .objs/cl_deps.exe
+[ -f .build/cl_deps.exe ] || ${0%-64.sh}-32.sh .build/cl_deps.exe
wine cmd /c Z:/`readlink -f $0`.bat PLAT... | bash |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.